echo off
cls
echo                                 Demo for
echo                             AutoPlot ver 1.0
echo             Copyright (c) 1990 Kris Gupta, All rights reserved
echo 
echo 
echo Autoplot graphs data stored ASCII format files.
echo In the simplest configuration, it will plot y or xy line graphs
echo depending on how many columns of data you have.
echo 
echo You can draw a line graph of a single column of data by typing:
echo     AP "filename"
echo 
pause
ap test1.dat
echo You can also draw a line graph of (x,y) data by typing:
echo     AP "filename"
echo 
pause
ap test2.dat
echo You can change the default axes labels and graph title using
echo commandline switches.
echo     ap "filename" "/T:This is a graph of Stress vs Strain" /X:Strain /Y:Stress
echo 
pause
ap test3.dat "/T:This is a graph of Stress vs Strain" /X:Strain /Y:Stress
echo The axes default to linear, but can be set to be log.
echo     ap "filename" /XA:1 /YA:1
echo 
pause
ap test2.dat /XA:1 /YA:1
echo You can also limit the region of the graph to look at.
echo Here the x-axis is limited.
echo     ap "filename" /XR:4.0,13.0
echo 
pause
ap test2.dat /XR:4.0,13.0
echo Here the y-axis is limited.
echo     ap "filename" /YR:150.0,600.0
echo 
pause
ap test2.dat /YR:150.0,600.0
echo Instead of limiting the axes, you can look at the just a portion of
echo the data. Below will plot 4 data points starting from data point 2.
echo     ap "filename" /I:2,4
echo 
pause
ap test2.dat /I:2,4
echo The data can also be sorted by either indexing with respect to
echo the x-values or y-values.
echo Here is a sample plot of unsorted data.
echo 
pause
ap test4.dat
echo Now sorting the data.
echo     ap "filename" /S:1
echo 
pause
ap test4.dat /S:1
echo End of AutoPlot demo.
